"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments)).next());
    });
};
class DevConfigApplyCommand {
    constructor($config, $stringParameterBuilder) {
        this.$config = $config;
        this.$stringParameterBuilder = $stringParameterBuilder;
        this.allowedParameters = [this.$stringParameterBuilder.createMandatoryParameter("Specify dev environment to be applied")];
        this.disableAnalytics = true;
    }
    execute(args) {
        return __awaiter(this, void 0, void 0, function* () {
            this.$config.apply(args[0].toLowerCase());
        });
    }
}
exports.DevConfigApplyCommand = DevConfigApplyCommand;
$injector.registerCommand("dev-config-apply", DevConfigApplyCommand);
