"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments)).next());
    });
};
const kendoui_base_1 = require("./kendoui-base");
class KendoUIListCommand extends kendoui_base_1.KendoUIBaseCommand {
    constructor($logger, $errors, $kendoUIService, $loginManager, $options, $project) {
        super($errors, $project, $kendoUIService, $loginManager, $options);
        this.$logger = $logger;
        this.allowedParameters = [];
    }
    execute(args) {
        return __awaiter(this, void 0, void 0, function* () {
            let packages = yield this.getKendoPackages();
            this.$logger.out("You can download and install the following Kendo UI packages.");
            this.$logger.out(this.getKendoPackagesAsTable(packages));
        });
    }
}
$injector.registerCommand("kendoui|*list", KendoUIListCommand);
