"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments)).next());
    });
};
class ListPluginCommand {
    constructor($pluginsService, $options) {
        this.$pluginsService = $pluginsService;
        this.$options = $options;
        this.allowedParameters = [];
    }
    execute(args) {
        return __awaiter(this, void 0, void 0, function* () {
            let plugins = this.$options.available ? yield this.$pluginsService.getAvailablePlugins(this.$options.count) : yield this.$pluginsService.getInstalledPlugins();
            yield this.$pluginsService.printPlugins(yield this.$pluginsService.filterPlugins(plugins));
        });
    }
}
exports.ListPluginCommand = ListPluginCommand;
$injector.registerCommand("plugin|*list", ListPluginCommand);
