"use strict";
const constants_1 = require("./common/constants");
class DynamicHelpProvider {
    constructor($project) {
        this.$project = $project;
    }
    isProjectType(args) {
        if (this.$project.getProjectDir()) {
            let framework = this.$project.projectData.Framework.toLowerCase();
            return _.some(args, arg => arg.toLowerCase() === framework);
        }
        return true;
    }
    getLocalVariables(options) {
        let isHtml = options.isHtml;
        let localVariables = {};
        localVariables["isCordova"] = isHtml || this.isProjectType([constants_1.TARGET_FRAMEWORK_IDENTIFIERS.Cordova]);
        localVariables["isNativeScript"] = isHtml || this.isProjectType([constants_1.TARGET_FRAMEWORK_IDENTIFIERS.NativeScript]);
        return localVariables;
    }
}
exports.DynamicHelpProvider = DynamicHelpProvider;
$injector.register("dynamicHelpProvider", DynamicHelpProvider);
